Skip to main content

Documentation

Pairing a Payment Device

Pair a payment device with a Rapyd wallet. This operation generates a unique set of credentials for the payment device and links it to the merchant wallet. It is a prerequisite for configuring the terminal through the hardware manufacturer’s management system and establishes the connection between the payment device and the Rapyd platform.

You can establish a connection between a payment device and the Rapyd system.

You need to include the ID of your Rapyd wallet in the request. The response returns the device_id and merchant_id. You can use these in the hardware manufacturer’s management system (ex: Pax Store) to configure your device during the deployment of the Rapyd Core app. See Pair Payment Device for more detailed information.

pairing-a-payment-device-flow-1.png
  1. You send a payment device pairing request to Rapyd, specifying the wallet and currency for which the credentials should be generated.

  2. Rapyd generates the credentials and returns them in the API response.

  3. You use the credentials returned in the API response as parameters in the configuration pushed to the Rapyd Core application via the hardware manufacturer’s management system.

Use Pair Payment Device to pair a payment device to your Rapyd wallet.

The parameters listed below are required.

Description of Body Parameters

Parameter

Description

currency

Transaction currency of the device. Three-letter ISO 4217 code.

merchant_ewallet

ID of the merchant wallet that is associated with the physical address where the device is installed. String starting with ewallet_.

settlement_ewallet

ID of the wallet that receives the funds from transactions on the device. String starting with ewallet_.

Pair Payment Device Request
    • Request

      • // Request URL: POST https://sandboxapi.rapyd.net/v1/api/public/onboarding/pair
        
        // Message body: 
        
        {
          "merchant_ewallet": "ewallet_b97730030da9cb3d567977672331fa88",
          "settlement_ewallet": "ewallet_42dbfb7fd7638a95d6ba084ac07dec1e",
          "currency": "EUR"
        }
Pair Payment Device Response
    • Response

      • {
            "status": {
                "error_code": "",
                "status": "SUCCESS",
                "message": "",
                "response_code": "",
                "operation_id": "d7f0efba-d22a-4974-af94-76027d7ea0ab"
            },
            "data": {
        		"device_id": "00001473",
        		"merchant_id": "08H7fg65"
            }
        }